aboutsummaryrefslogtreecommitdiffstats
path: root/ms/neng/src/test/sanity/gen-name-decision-format.sh
diff options
context:
space:
mode:
authorbt2983 <bt2983@att.com>2020-03-01 16:30:26 -0700
committerDan Timoney <dtimoney@att.com>2020-03-05 08:59:30 -0500
commitee7c0061f4fcacd80875c8b4b1f1c3e3f64dae65 (patch)
tree4647a7c903588fc1515a374064b2a774f812822a /ms/neng/src/test/sanity/gen-name-decision-format.sh
parent1ba9e49a2bedaee3e7a6cfbfdab7a0416a01ee20 (diff)
Naming micro-service - upgrade to spring-boot-2.
This contains all the changes to upgrade this micro-service to spring-boot-2 and spring-5, and is a pre-requisite for the changes related to policy. Issue-ID: CCSDK-1307 Signed-off-by: bt2983 <bt2983@att.com> Change-Id: Ie35df3bebac958b50c2c4635080c06d68f887a8e Naming m-s -- upgrade to spring-boot 1.5.2 Issue-ID: CCSDK-1307 Signed-off-by: bt2983 <bt2983@att.com> Change-Id: Id685b44dc8703baa4371fdabf999aa8b5eaa6ea0
Diffstat (limited to 'ms/neng/src/test/sanity/gen-name-decision-format.sh')
-rwxr-xr-xms/neng/src/test/sanity/gen-name-decision-format.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/ms/neng/src/test/sanity/gen-name-decision-format.sh b/ms/neng/src/test/sanity/gen-name-decision-format.sh
new file mode 100755
index 00000000..40ee3b09
--- /dev/null
+++ b/ms/neng/src/test/sanity/gen-name-decision-format.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+#============LICENSE_START=======================================================
+# ONAP : CCSDK.apps
+# ================================================================================
+# Copyright (C) 2018 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#============LICENSE_END=========================================================
+
+#==================================================================================
+# This script does a sanity test on the generate-name API of this micro-service.
+#
+# This exercises the new policy API (decision API)
+#==================================================================================
+
+. ./env.sh
+URL=web/service/v1/genNetworkElementName
+TEMP_FILE=/tmp/gen-name.$$.$RANDOM
+EXTERNAL_KEY=$RANDOM
+
+USE_DB=${1:-'Y'}
+USE_DB_BOOL=$([ "$USE_DB" == "Y" ] && echo "true" || echo "false")
+
+printf '{ "UseDb": "' > $TEMP_FILE
+printf $USE_DB_BOOL >> $TEMP_FILE
+printf '", "elements": [ { "external-key": "sanity-' >> $TEMP_FILE
+printf $EXTERNAL_KEY >> $TEMP_FILE
+printf '", "policy-instance-name": "vnf-policy-decision-api", "NF_NAMING_CODE": "me9", "COMPLEX": "dlstxa", ' >> $TEMP_FILE
+printf '"resource-name": "VNF", "naming-type": "VNF", "AIC_CLOUD_REGION": "aicr" } ] }' >> $TEMP_FILE
+
+echo "==================================================="
+echo "======== Generating name with request: ============"
+echo ""
+echo ""
+cat $TEMP_FILE
+echo ""
+echo ""
+echo ""
+echo "==================================================="
+
+echo "==================================================="
+curl -vi -H "Content-Type: application/json" --data @$TEMP_FILE $PROTOCOL://$HOST:$PORT/$URL
+echo ""
+echo ""
+echo "==================================================="
+
+rm -f $TEMP_FILE
+
+